#!/bin/bash

ProjectName=MyTest

# clean up
rm -f ${ProjectName} *Dict* *o *a *~

# generate dictionary
#rootcint -f ${ProjectName}Dict.cxx -c -p ${ProjectName}.h ${ProjectName}LinkDef.h
rootcint -f ${ProjectName}Dict.cxx -c -p B.h A.h ${ProjectName}.h ${ProjectName}LinkDef.h

# compile library
`root-config --cxx --cflags` -W -Wall -fPIC -c B.cxx A.cxx ${ProjectName}.cxx
#`root-config --cxx --cflags` -W -Wall -fPIC -c B.cxx A.cxx ${ProjectName}Dict.cxx ${ProjectName}.cxx

# static library
ar rvs lib${ProjectName}.a *.o

# shared library
#`root-config --cxx --cflags` -W -Wall -fPIC -shared -o lib${ProjectName}.so *.o `root-config --glibs`

# compile executable using library and dictionary
`root-config --cxx --cflags` -W -Wall -fPIC -o ${ProjectName} main.cxx ${ProjectName}Dict.cxx `root-config --cflags --glibs` -L. -l${ProjectName}

# compile executable using library without dictionary
#`root-config --cxx --cflags` -W -Wall -fPIC -o ${ProjectName} main.cxx `root-config --cflags --glibs` -L. -l${ProjectName}
