#ifndef A_H_
#define A_H_

#include <iostream>
#include <vector>
#include <TObject.h>

namespace MyTest

{
class B;	// include B.h in implementation file to avoid problems with mutual dependencies

class A : public TObject
{
public:
	std::vector<B>	fBVec;	// List of Bs owned by this A

	A(UInt_t numberOfBs = 0);
	~A(){}

	void DoStuffWithBVector( std::vector<B> vectorOfBs );

	ClassDef(A,1); // My class A in my MyTest namespace
};

};	// end of namespace MyTest

#endif // end of A_H_
